Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000812bareos-core[All Projects] webuipublic2017-04-11 22:052017-09-01 14:26
Reporterasalvo 
Assigned Tofrank 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version16.2.4 
Target VersionFixed in Version 
Summary0000812: Add job status in the "Last Backups" section of the Client view
DescriptionI think it would be very useful to get the status (running, warning, failure, success, etc) of the listed jobs in the client's view.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships

-  Notes
(0002678)
frank (manager)
2017-06-30 18:02

The current last backups listing displays only successful backup jobs.

Used API 2 command: 'list backup client=xyz' which only delivers successful terminated jobs.

In case of the suggested additional status row, we have to list all client related jobs in the last backups table first, 'list backups client=xyz jobstatus=<status>'.

(By now we have to get every status one after the other and merge the results together into one job list, as the jobstatus argument does not take a comma separated list of values for example, which is not very handy.)
(0002717)
frank (manager)
2017-09-01 12:04

The suggestion can already be achieved in the job module by filtering the results of the normal job listing via the search input field of the table for example.

However, a small patch will follow, which will clarify what is displayed in the client details last backup table.
(0002718)
frank (manager)
2017-09-01 14:26

Fix committed to bareos-webui bareos-17.2 branch with changesetid 7088.

- Related Changesets
bareos-webui: bareos-17.2 a032edf6
Timestamp: 2017-09-01 12:05:10
Author: frank
Ported: N/A
Details ] Diff ]
Clients: Tiny Client Details View Improvement

Be more precise about what is displayed in the client details
'last backups' table. Therefore the heading is renamed to
'last successful backups' and an additional row 'Status',
which displays the JobStatus, is added to the table.

Fixes 0000812: Add job status in the "Last Backups" section of the Client view
mod - module/Client/view/client/client/details.phtml Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-04-11 22:05 asalvo New Issue
2017-04-25 13:33 frank Assigned To => frank
2017-04-25 13:33 frank Status new => assigned
2017-06-30 18:02 frank Note Added: 0002678
2017-09-01 12:04 frank Note Added: 0002717
2017-09-01 14:26 frank Changeset attached => bareos-webui bareos-17.2 a032edf6
2017-09-01 14:26 frank Note Added: 0002718
2017-09-01 14:26 frank Status assigned => resolved
2017-09-01 14:26 frank Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker